Bug 16091 - cdrecord -scanbus fails
cdrecord -scanbus fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: cdrecord (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-13 01:07 EDT by Gene Czarcinski
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 17:23:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -otracefile cdrecord -scanbus (15.70 KB, text/plain)
2000-08-14 16:57 EDT, Gene Czarcinski
no flags Details
strace -otracefile.beta5 cdrecord -scanbus (15.62 KB, text/plain)
2000-08-14 17:20 EDT, Gene Czarcinski
no flags Details
lsmod on pinstripe (559 bytes, text/plain)
2000-08-14 17:21 EDT, Gene Czarcinski
no flags Details
lsmod on rc1 (703 bytes, text/plain)
2000-08-14 17:22 EDT, Gene Czarcinski
no flags Details
lspci -v on pinstripe (2.31 KB, text/plain)
2000-08-14 17:23 EDT, Gene Czarcinski
no flags Details
lspci -v on rc1 (2.31 KB, text/plain)
2000-08-14 17:23 EDT, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2000-08-13 01:07:52 EDT
1. Everything works on pinstripe/beta5 and DOES NOT work on
rc1/pinstripe2/beta6.

2. I have a Memorex CRW-1622 cd recorder on /dev/hdh.

3. I specify append="hdh=ide-scsi nousb" in /etc/lilo.conf.

4. I get the following:

[gene@chaos gene]$ su -p       
Password: 
[root@chaos gene]# insmod ide-scsi
Using /lib/modules/2.2.16-21smp/scsi/ide-scsi.o
[2]+  Done                    /usr/sbin/rhns_register -q
[root@chaos gene]# cdrecord -scanbus
Cdrecord 1.9 (i686-pc-linux-gnu) Copyright (C) 1995-2000 Jvrg Schilling
cdrecord: No such file or directory. Cannot open SCSI driver.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you are
root.
[root@chaos gene]#
Comment 1 Crutcher Dunnavant 2000-08-14 09:41:49 EDT
could you run this again for me, with the following command

strace -otracefile cdrecord -scanbus

and append the tracefile to this bug report?
Comment 2 Preston Brown 2000-08-14 12:09:27 EDT
sounds like a kernel problem to me, but we need more information.

we need to see the outputp of 'lsmod' on both installs, and a 'lspci -v'.
Comment 3 Gene Czarcinski 2000-08-14 16:54:53 EDT
File is being attached from strace -otracefile cdrecord -scanbus

Funny.  I tested cdrecord on two other "systems" (one a vmware virtual and the
other a Dell OptiPlex) -- everything was fine on them.  Just my "home" system
that is having problems.

Gene
Comment 4 Gene Czarcinski 2000-08-14 16:57:01 EDT
Created attachment 2476 [details]
strace -otracefile cdrecord -scanbus
Comment 5 Gene Czarcinski 2000-08-14 17:19:31 EDT
previous attachment was tracefile from beta6 (rc1)
Comment 6 Gene Czarcinski 2000-08-14 17:20:39 EDT
Created attachment 2477 [details]
strace -otracefile.beta5 cdrecord -scanbus
Comment 7 Gene Czarcinski 2000-08-14 17:21:31 EDT
Created attachment 2478 [details]
lsmod on pinstripe
Comment 8 Gene Czarcinski 2000-08-14 17:22:04 EDT
Created attachment 2479 [details]
lsmod on rc1
Comment 9 Gene Czarcinski 2000-08-14 17:23:20 EDT
Created attachment 2480 [details]
lspci -v on pinstripe
Comment 10 Gene Czarcinski 2000-08-14 17:23:50 EDT
Created attachment 2481 [details]
lspci -v on rc1
Comment 11 Gene Czarcinski 2000-08-17 05:17:47 EDT
OK, I have no idea what is going on but as of today it is working.  The only
change made was a screwed up append= in /etc/lilo.conf which had nousb as NOUSB
and I was getting error messages during bootup.  Here is the "current" append=

	append="hdh=ide-scsi nousb"

Anyway, I am closing this.

Note You need to log in before you can comment on or make changes to this bug.